'--------------------------------------------------------------
'
' PROGRAM TLAC+LED-1.bas  Ukzka ten tlatek a zapnn LED
'
' Program, kterm pi stisku tlatka S1 trvale zapneme LED na PORTC.5
' a stiskem tlatka S2 LED trvale vypneme.
'--------------------------------------------------------------


$regfile = "m8adef.dat"                                      'Soubor s deklaracemi
$crystal = 12000000                                         'Kmitoet krystalu v Hz


Config Portc.0 = Input                                      'PC0 vstupn pro tlatko S1
Config Portc.1 = Input                                      'PC1 vstupn pro tlatko S2
Config Portc.5 = Output                                     'PC5 vstupn pro LED

'-------------- HLAVNI PROGRAM -------------------------------

 Do

    If Pinc.0 = 0 Then                                      'jestlie tlatko S1 je stisknuto,
      Set Portc.5                                           'pak nastav vstup PC5 trvale do log1
      Waitms 50                                             'ekej 50 ms
    End If

    If Pinc.1 = 1 Then                                      'jestlie tlatko S2 je stisknuto,
      Reset Portc.5                                         'pak nastav vstup PC5 trvale do log0
      Waitms 50                                             'ekej 50 ms
    End If

 Loop                                                       'jdi na Do

'--------- KONEC HLAVNIHO PROGRAMU ---------------------------

End


'Poznmka:
'TLATKA S1 A S2 JSOU ZAPOJENA ROZDLN!
'Tlatko S1 pivd na vstup PC0 pi stisku log0, tlatko S2 pivd na vstup PC1 pi stisku log1.

'Pi testovn jakhokoliv bitu meme pout pouze
'If PINC.0=0 nebo If PINC.1=1